/AM/ - Animeme and Memega

It's in caps because it's extreme

Posting mode: Reply

Check to confirm you're not a robot
Name
Email
Subject
Comment
Password
Drawing x size canvas
File(s)

Remember to follow the rules

Max file size: 350.00 MB

Max files: 5

Max message length: 4096

Manage Board | Moderate Thread

Return | Catalog | Bottom


WELCOME TO THE EXTREME A U T I S M ZONE

Expand All Images




Anonymous 09/19/2018 (Wed) 14:50:58 [Preview] No.29308 del
sources?

also, where do you get anime pictures? sankakucomplex doesnt work, danbooru works (mostly) but the images arent that great, zerochan is fine but there are 0 lewds there and the images are good but there arent that many there


Anonymous 09/20/2018 (Thu) 00:28:43 [Preview] No.29316 del
>>29308
Gelbooru works fine for me.
There was also this https://ibsearch.xxx/ but not sure if it works anymore.


Anonymous 09/20/2018 (Thu) 18:36:03 [Preview] No.29327 del
(189.67 KB 986x1299 1.png)
(186.07 KB 986x1299 2.png)
any way to make gelbooru work, or find a different website?


Anonymous 09/20/2018 (Thu) 19:02:14 [Preview] No.29329 del
>>29327
What addons/about:config are you using?


Anonymous 09/20/2018 (Thu) 19:10:20 [Preview] No.29330 del
>>29329
the only ones that could possibly affect it are ublock origin, adblock plus, history on/off. I disabled adblock and ublock and the pge still wouldnt load

it appears that the page loads on pale moon, however palemoon doesnt really work properly, for example it cannot save images from sankakucomplex (it saves them as thumbnail of "chan.sankakucomplex.com" instead of the actual image) so I wouldnt trust it for actual usage


Anonymous 09/20/2018 (Thu) 19:32:50 [Preview] No.29331 del
>>29330
If i remembered correctly this normally occurred when an adblocker was present.
But it shouldn't be a problem if you're using something like reek anti-adblock killer
I think newer versions of ublock automatically have this but once again, i'm not sure.

As for the sankaku thing.
Sankaku uses cookies to make sure traffic is on site.
If your deleting or modifying cookies and or cache or are using an iffy https refer header/user agent.
You will get their banner


Anonymous 09/20/2018 (Thu) 19:34:27 [Preview] No.29332 del
>>29330
You could try clearing your cache and see if that helps


Anonymous 09/20/2018 (Thu) 19:51:24 [Preview] No.29333 del
>>29331
>cookies
I have either cookiemonster or reject cookies without storing them, that's probably it. I'll have a look at the settings then, thanks

>>29332
the browser auto deletes everything when I exit and history on/off makes it so the browser doesn't keep any history at all


Anonymous 09/21/2018 (Fri) 06:42:48 [Preview] No.29340 del
disable (their) javascript
(you may choose to run your own)


Anonymous 09/21/2018 (Fri) 07:20:25 [Preview] No.29341 del
(69.27 KB 375x400 Blaise-Pascal1.jpg)
(75.88 KB 1000x600 tudo sobre todos.jpg)
>>29333
>tippity top opsec here /am/igos


Anonymous 09/21/2018 (Fri) 08:10:48 [Preview] No.29342 del
>>29330
>using ublock origin and adblock plus at the same time
forwhatpurpose.jpg


Anonymous 09/21/2018 (Fri) 08:38:47 [Preview] No.29343 del
(137.26 KB 404x278 doubutsu gnu.png)
>>29342
It keeps your URI tight


Anonymous 09/21/2018 (Fri) 09:22:03 [Preview] No.29344 del
>>29341
dude, who are quoting?


Anonymous 09/21/2018 (Fri) 09:45:55 [Preview] No.29345 del
(18.38 KB 300x169 3034.jpg)
>>29343
did I hear somebody say メロン?!


Anonymous 09/21/2018 (Fri) 10:12:38 [Preview] No.29346 del
(3.31 MB 320x240 very melonm.webm)
>>29345
非常にメロン


Anonymous 09/21/2018 (Fri) 11:37:35 [Preview] No.29349 del
(203.84 KB 1280x720 28.jpg)
did I hear yuri?!


Anonymous 09/21/2018 (Fri) 11:56:16 [Preview] No.29350 del
(19.76 KB 500x500 serveimage.jpeg)


Anonymous 09/21/2018 (Fri) 12:11:10 [Preview] No.29351 del
>>29344
he's quoting the Holy Tripsman >>29333


Anonymous 09/21/2018 (Fri) 12:23:13 [Preview] No.29353 del
(44.93 KB 640x352 138291820.jpeg)
melons are overrated


Anonymous 09/21/2018 (Fri) 16:25:24 [Preview] No.29355 del
(85.42 KB 714x527 mpv-shot0230.jpg)
>>29353
wrong


Anonymous 09/21/2018 (Fri) 19:41:14 [Preview] No.29356 del
(694.05 KB 1530x900 ddd.png)
>>29327
if you're on linux ahoviewer has a decent booru browser that works with gelbooru


Anonymous 09/21/2018 (Fri) 20:25:17 [Preview] No.29357 del
(3.82 MB 540x304 dfe.gif)


Anonymous 09/22/2018 (Sat) 09:50:20 [Preview] No.29360 del
>>29356
how do I make it work? version.sh does nothing, bootstrap does nothing, configure does nothing


Anonymous 09/22/2018 (Sat) 13:19:00 [Preview] No.29361 del
>>29360
I didn't try building it myself, there's an ebuild for my distro. Does it at least return an error when you try running ./bootstrap?


Anonymous 09/22/2018 (Sat) 13:32:05 [Preview] No.29362 del
>>29360
1. Make sure you have the stated dependencies installed.
2. There is one implicit dependency that is not listed in the README: you need autotools for the build system. You'll need at least autoconf and automake.
3. Then follow the 3 step instruction in the README.


Anonymous 09/22/2018 (Sat) 13:49:03 [Preview] No.29363 del
(14.33 KB 480x360 melon is the key.jpg)
i think /AM/ might be more nerd than /tech/


Anonymous 09/22/2018 (Sat) 15:42:04 [Preview] No.29365 del
>>29362
it really doesnt work, but at least the runtime scripts do stuff. the config creates a config.log and bootstrap creates some files and folders. version.sh does absolutely nothing

I tried ./bootstrap and make but nothing happend, I get "nothing to make" and when I tried "make ahoviewer-master" I got told "cant make" or "nothing to be done"


Anonymous 09/22/2018 (Sat) 16:30:14 [Preview] No.29366 del
>>29365
the fact that you are so hang up on version.sh (which is a totally irrelevant script only used internally as part of the build process) makes me suspect you are very newfriend and doing something wrong
since you mention that you now have a config.log (typically output by the configure script, which is created by autoreconf, called by bootstrap) I'm guessing that the bootstrap script did succeed
there should have been a message in your terminal telling you why configure failed (I'm guessing it did)
have a look inside config.log, the same error message should appear there
probably missing dependencies


Anonymous 09/22/2018 (Sat) 21:06:32 [Preview] No.29368 del
>>29366
>missing some dependencies
idk, I installed almost everything that was listed in the readme. the 2 you mentioned ITT I already had installed (autoconf and automake)

>terminal
I didnt use the terminal to install it, I double clicked the bootstrap and then clicked "run". I only used the terminal for the "make", which failed twice ("make" failed, "make ahoviewer-master" failed)


Anonymous 09/22/2018 (Sat) 21:36:54 [Preview] No.29369 del
>>29368
run them in a terminal (cd to the directory first)
if you are missing dependency packages the configure script (and make) will complain, so you want to see their output
in the case of configure, the output should also go to config.log, so you can check there as well


Anonymous 09/22/2018 (Sat) 22:17:22 [Preview] No.29370 del
>>29369
ah yes!
>configure:2019: error: cannot find install-sh, install.sh, or shtool
I downloaded ahoviewer from here https://github.com/ahodesuka/ahoviewer


Anonymous 09/22/2018 (Sat) 23:17:48 [Preview] No.29371 del
>>29370
if you are not just trolling and want more help, make anotoher thread and show the output of running ./bootstrap in a freshly downloaded source tree


Anonymous 09/22/2018 (Sat) 23:20:55 [Preview] No.29372 del
actually, you might as well continue here
this is the "source" thread after all


Anonymous 09/22/2018 (Sat) 23:53:18 [Preview] No.29373 del
fresh download
>show the output
you mean configure.ac? or config.log? or screencaps of the folder(s) and files?


Anonymous 09/22/2018 (Sat) 23:56:07 [Preview] No.29374 del
(76.59 KB 672x434 boner.png)
also
>mfw I realised I can search anime images by tags on gelbooru
>mfw I can use multiple tags


Anonymous 09/22/2018 (Sat) 23:59:48 [Preview] No.29375 del
also
>mfw I get "nobody here but us chickens!" (0 results) when searching stuff that should return at least 10,000 results


Anonymous 09/23/2018 (Sun) 00:46:31 [Preview] No.29376 del


Anonymous 09/23/2018 (Sun) 13:33:37 [Preview] No.29379 del
>>29377
just letting you know in case you haven't realized, your post does not answer which one you were asking for, the configure.ac or config.log


Anonymous 09/23/2018 (Sun) 16:10:04 [Preview] No.29382 del
>>29379
he means the output of the terminal when you run ./bootstrap
It should show you what the script is doing and where it fails. You can use tee to redirect the output to a file to copy and paste easily
$ ./bootstrap | tee some-filename
then copypaste some-filename to pastebin or something and post that here


Anonymous 09/23/2018 (Sun) 17:43:56 [Preview] No.29383 del
>>29382
>terminal output
I didnt run it in the terminal, I double clicked on the "bootstrap"

I'll try again with a fresh install and see what happens


Anonymous 09/23/2018 (Sun) 17:45:12 [Preview] No.29384 del
/ahoviewer-master $ ./bootstrap
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force
version.sh: 24: version.sh: [[: not found
version.sh: 24: version.sh: -f: not found
version.sh: 24: version.sh: [[: not found
version.sh: 24: version.sh: -f: not found
autoreconf: configure.ac: tracing
version.sh: 24: version.sh: [[: not found
version.sh: 24: version.sh: -f: not found
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/bin/autoconf --force
version.sh: 24: version.sh: [[: not found
version.sh: 24: version.sh: -f: not found
configure.ac:63: error: possibly undefined macro: AC_MSG_ERROR
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1


Anonymous 09/23/2018 (Sun) 17:47:02 [Preview] No.29385 del
so I looked online and this says https://stackoverflow.com/questions/8811381/possibly-undefined-macro-ac-msg-error "you need to install pkg-config"

I just looked at my programs manager and pkg-config is already installed


Anonymous 09/23/2018 (Sun) 17:53:25 [Preview] No.29386 del
I also tried the 2nd solution in that answer (Adding ACLOCAL_AMFLAGS = -I m4 (to the toplevel Makefile.am)) but I got the same error


Anonymous 09/23/2018 (Sun) 18:44:19 [Preview] No.29389 del
>>29384
>>version.sh: 24: version.sh: [[: not found
the shell is messed up, it should be bash or bash-compatible but it seems to running on sh instead
weirdly there's a 2016 commit that broke that
open configure.ac in an editor, change the 2nd line from
AC_INIT([ahoviewer], m4_esyscmd_s([sh version.sh]),

to
AC_INIT([ahoviewer], m4_esyscmd_s([bash version.sh]),


what os is this btw?


Anonymous 09/23/2018 (Sun) 18:49:02 [Preview] No.29390 del
>>29389
linux mint

/ahoviewer-master $ ./bootstrap
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force
autoreconf: configure.ac: tracing
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/bin/autoconf --force
configure.ac:63: error: possibly undefined macro: AC_MSG_ERROR
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1


Anonymous 09/23/2018 (Sun) 19:01:55 [Preview] No.29391 del
motherfucker. I just installed gettext and libtool (downloaded from the GNU website, used ./bootstrap then make then sudo make install in terminal for each) and now I get the same fucking error with ahoviewer

/ahoviewer-master $ ./bootstrap
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force
version.sh: 24: version.sh: [[: not found
version.sh: 24: version.sh: -f: not found
version.sh: 24: version.sh: [[: not found
version.sh: 24: version.sh: -f: not found
autoreconf: configure.ac: tracing
version.sh: 24: version.sh: [[: not found
version.sh: 24: version.sh: -f: not found
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/bin/autoconf --force
version.sh: 24: version.sh: [[: not found
version.sh: 24: version.sh: -f: not found
configure.ac:63: error: possibly undefined macro: AC_MSG_ERROR
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1


Anonymous 09/23/2018 (Sun) 19:06:36 [Preview] No.29392 del
my bad, that was a fresh fresh install

here is the error code (the exact same btw)

/ahoviewer-master $ ./bootstrap
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force
autoreconf: configure.ac: tracing
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/bin/autoconf --force
configure.ac:63: error: possibly undefined macro: AC_MSG_ERROR
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1


Anonymous 09/23/2018 (Sun) 19:10:24 [Preview] No.29393 del
>>29390
alright, i'll whip up a vm to take a look


Anonymous 09/24/2018 (Mon) 00:15:01 [Preview] No.29394 del
>>29393
Alright, had a look in a debian 9 vm and it needed one more tweak on top of the one mentioned there >>29389
open bootstrap and replace the line:
autoreconf -fvi || exit 1
with:
aclocal -Im4 --install || exit 1
autoreconf -Im4 -vi || exit 1
apart from that it builds and runs fine
I enabled all features and used these packages (mint package names should be similar:
git build-essential autoconf automake pkg-config g++
libgtkmm-2.4-dev libglibmm-2.4-dev libconfig++-dev
libxml2-dev libsecret-1-dev libzip-dev
libgstreamer1.0-dev libgstreamer-plugins-base1.0-dev
libcurl4-openssl-dev libssl-dev
if you happen to be using libcurl3-gnutls already, then instead of the last 2 install the following and re-run configure with the flag --enable-gnutls:
libcurl4-gnutls-dev libgnutls28-dev libgcrypt20-dev
if you want rar archive support, you will need libunrar0-dev, which seems to be packaged in linux mint (for that debian box I compiled from source instead)
for actually being able to play videos, you'll probably need the codecs in one of the following (not sure which):
gstreamer1.0-plugins-good gstreamer1.0-plugins-ugly gstreamer1.0-plugins-bad
and to save user credentials you'll need gnome-keyring


Anonymous 09/24/2018 (Mon) 16:02:15 [Preview] No.29399 del
>>29394
thanks, but I still get the same error

fresh install, changed the 2nd line in configure.ac, changed my bootstrap to be this

#!/bin/bash

if [ "$(uname)" == "Darwin" ];
then
aclocal -Im4 --install -I/usr/local/opt/curl/share/aclocal || exit 1
autoreconf -Im4 -vi -I/usr/local/opt/curl/share/aclocal || exit 1
./configure --with-libcurl=/usr/local/opt/curl "$@" || exit 1
else
autoreconf -fvi || exit 1
./configure "$@" || exit 1
fi

and in terminal output I get this

/ahoviewer-master $ ./bootstrap
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force
autoreconf: configure.ac: tracing
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/bin/autoconf --force
configure.ac:63: error: possibly undefined macro: AC_MSG_ERROR
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1


Anonymous 09/24/2018 (Mon) 16:09:05 [Preview] No.29400 del
I tried installing some of those on the list, git I didnt have at all, but libgtkmm-2.4-dev libglibmm-2.4-dev libconfig++-dev
libxml2-dev libsecret-1-dev libzip-dev I can't find. I guess I'll try to google and download from the gnu website

I'll post results with fresh install


Anonymous 09/24/2018 (Mon) 16:13:22 [Preview] No.29401 del
exact same error as before

/ahoviewer-master $ ./bootstrap
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force
autoreconf: configure.ac: tracing
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/bin/autoconf --force
configure.ac:63: error: possibly undefined macro: AC_MSG_ERROR
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1


Anonymous 09/24/2018 (Mon) 16:15:32 [Preview] No.29402 del
I found libgtkmm on the ubuntu website but I'm not sure if my architecture is amd64 or not

but I'm still curious as to why it says gettext and libtool are not installed when I already installed them yesterday (with ./bootstrap, make, sudo make install)


Anonymous 09/24/2018 (Mon) 16:45:08 [Preview] No.29403 del
>>29399
from what you write I can see that you changed the wrong lines in bootstrap
you changed the lines that apply only to builds on mac (darwin) not linux
look at the patch file I posted for reference

>>29400
>I can't find.
well, I just searched a few of them in https://community.linuxmint.com/software/search and they seem to be packaged, so you either didn't look properly in your package manager or maybe you are using an outdated version of mint that doesn't have the necessary packages

>I guess I'll try to google and download from the gnu website
honestly I'm thinking you either have munchausen's or are just trolling me

>>29402
>it says gettext and libtool are not installed
not true, it says "not used"
that's not an error, it's just informational


Anonymous 09/24/2018 (Mon) 18:02:42 [Preview] No.29404 del
>>29403
>outdated version of mint
ah yes, I just checked the linux mint website and they released 19, I'm using 18.3 according to the welcome screen, thanks for reminding me, I completely forgot about updating

>not used
why arent they used if I installed them, wtf?


Anonymous 09/24/2018 (Mon) 18:05:28 [Preview] No.29405 del
>you changed the wrong line
ah, I thought I needed to change the first autoreconf -fvi

here is a fresh download of the unmodified file

#!/bin/bash

if [ "$(uname)" == "Darwin" ];
then
autoreconf -fvi -I/usr/local/opt/curl/share/aclocal || exit 1
./configure --with-libcurl=/usr/local/opt/curl "$@" || exit 1
else
autoreconf -fvi || exit 1
./configure "$@" || exit 1
fi

I'll try changing the 2nd one then, see if it helps


Anonymous 09/24/2018 (Mon) 18:06:45 [Preview] No.29406 del
I'll also try replacing the bootstrap with the .txt patch


Anonymous 09/24/2018 (Mon) 18:42:05 [Preview] No.29407 del
alright so I changed the line in configure.ac, changed the line (2nd one) in bootstrap, got this

/ahoviewer-master $ ./bootstrap
aclocal: installing 'm4/pkg.m4' from '/usr/share/aclocal/pkg.m4'
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal -I m4
autoreconf: configure.ac: tracing
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/bin/autoconf --include=m4
configure.ac:63: error: possibly undefined macro: AC_MSG_ERROR
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1


Anonymous 09/24/2018 (Mon) 18:44:00 [Preview] No.29408 del
after modifying my bootstrap to the .txt you posted, I get this

/ahoviewer-master $ ./bootstrap
diff: unrecognised option '--git'
diff: Try 'diff --help' for more information.
./bootstrap: line 2: index: command not found
./bootstrap: line 3: ---: command not found
./bootstrap: line 4: +++: command not found
./bootstrap: line 5: @@: command not found
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal -I /usr/local/opt/curl/share/aclocal --force
aclocal: warning: couldn't open directory '/usr/local/opt/curl/share/aclocal': No such file or directory
autoreconf: configure.ac: tracing
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/bin/autoconf --include=/usr/local/opt/curl/share/aclocal --force
configure.ac:63: error: possibly undefined macro: AC_MSG_ERROR
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1


Anonymous 09/24/2018 (Mon) 22:16:04 [Preview] No.29409 del
(57.25 KB 899x489 serveimage.jpeg)
Certified engineer here. Delete system32 and report back.



Top | Return | Catalog | Post a reply